Overview
GET
/billing/subscription-tiersbillingList subscription_tiers
List subscription-tiers.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- keystring
- namestring
- descriptionstring?
- displayOrderinteger
- isActiveboolean
- createdAtstring
- updatedAtstring
Example
[
{
"id": "string",
"key": "string",
"name": "string",
"description": "string",
"displayOrder": 0,
"isActive": true,
"createdAt": "string",
"updatedAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/billing/subscription-tiers" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/billing/subscription-tiers", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();